/* -*-C++-*-
 * ###################################################################
 *	FILE: "pltcl_stream.h"
 *									  created: 19/7/96 {5:00:46 pm}	
 *								  last update: 23/10/97 {6:01:08 pm}	pm}	
 *	Author:	Vince Darley
 *	E-mail:	<vince@das.harvard.edu>
 *	  mail:	Division of	Applied	Sciences, Harvard University
 *			Oxford Street, Cambridge MA	02138, USA
 *	   www:	<http://www.fas.harvard.edu/~darley/>
 *	
 *	Description: 
 * 
 * 
 *	History
 * 
 *	modified by	 rev reason
 *	-------- --- --- -----------
 *	19/7/96	 VMD 1.0 original
 * ###################################################################
 */


#ifndef _Cpptcl_pltcl_stream_
#define _Cpptcl_pltcl_stream_

#include "cpptcl.h"
#include "plstream.h"

// for metrowerks codewarrior Pro 1
//#define BAD_COMPILER

class pltcl_stream: public plstream, tcl_object {
  public:
	pltcl_stream(tcl_args& arg);
	~pltcl_stream(void) {}
	Cpptcl_Class(pltcl_stream);
	int parse_tcl_command(tcl_args& arg);
#ifdef BAD_COMPILER
	int other_parse_tcl_command(tcl_args& arg, bool& used);
	int other_parse_tcl_command2(tcl_args& arg, bool& used);
	int other_parse_tcl_command3(tcl_args& arg, bool& used);
	int other_parse_tcl_command4(tcl_args& arg, bool& used);
#endif
};

#endif
